org.richfaces.fragment.orderingList

## Class AbstractOrderingList

- java.lang.Object
- - org.richfaces.fragment.orderingList.AbstractOrderingList

- All Implemented Interfaces:
    AdvancedInteractions<AbstractOrderingList.AdvancedOrderingListInteractions>, AdvancedVisibleComponentIteractions<AbstractOrderingList.AdvancedOrderingListInteractions>, OrderingList
  Direct Known Subclasses:
    RichFacesOrderingList, RichFacesPickList.OrderingListInPickList

      public abstract class AbstractOrderingList
      extends Object
      implements OrderingList, AdvancedVisibleComponentIteractions<AbstractOrderingList.AdvancedOrderingListInteractions>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractOrderingList.AdvancedOrderingListInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOrderingList()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractOrderingList.AdvancedOrderingListInteractions` | `advanced()`
    `protected OrderingInteraction` | `getOrderingInteraction()`
    `protected PuttingSelectedItem` | `getPuttingSelectedItem()`
    `PuttingSelectedItem` | `select(ChoicePicker picker)` Selects a choice from suggestions.
    `PuttingSelectedItem` | `select(Integer index)` Selects the choice at index.
    `PuttingSelectedItem` | `select(String visibleText)` Selects the first option, which matches given text.
    `protected void` | `selectItem(org.openqa.selenium.WebElement item)`
    `protected void` | `selectItems(List<org.openqa.selenium.WebElement> list)`
    `protected void` | `unselectAll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOrderingList

          public AbstractOrderingList()

  - ### Method Detail

    - #### advanced

          public abstract AbstractOrderingList.AdvancedOrderingListInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractOrderingList.AdvancedOrderingListInteractions>`

    - #### select

          public PuttingSelectedItem select(String visibleText)

      Description copied from interface: `OrderingList`
      Selects the first option, which matches given text.
      Specified by:
        `select` in interface `OrderingList`
      Parameters:
        `visibleText` - text to match
      Returns:
        object by which it is possible to interact with ordering functions
      See Also:
        `PuttingSelectedItem`

    - #### select

          public PuttingSelectedItem select(Integer index)

      Description copied from interface: `OrderingList`
      Selects the choice at index.
      Specified by:
        `select` in interface `OrderingList`
      Parameters:
        `index` - index of the choice
      Returns:
        object by which it is possible to interact with ordering functions

    - #### select

          public PuttingSelectedItem select(ChoicePicker picker)

      Description copied from interface: `OrderingList`
      Selects a choice from suggestions.
      Specified by:
        `select` in interface `OrderingList`
      Parameters:
        `picker` - for picking from the choices
      Returns:
        object by which it is possible to interact with ordering functions
      See Also:
        `ChoicePickerHelper.ByIndexChoicePicker`, `ChoicePickerHelper.ByVisibleTextChoicePicker`

    - #### selectItem

          protected void selectItem(org.openqa.selenium.WebElement item)

    - #### selectItems

          protected void selectItems(List<org.openqa.selenium.WebElement> list)

    - #### unselectAll

          protected void unselectAll()

    - #### getOrderingInteraction

          protected OrderingInteraction getOrderingInteraction()

    - #### getPuttingSelectedItem

          protected PuttingSelectedItem getPuttingSelectedItem()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.